## sac 1.0

=== DESCRIPTION ===
Package: sac
Version: 1.0
Date: 2005-04-04
Title: Semiparametric Analysis of Changepoint
Author: Zhong Guan <zguan@iusb.edu>
Maintainer: Zhong Guan <zguan@iusb.edu>
Depends: R (>= 1.4)
Description: Semiparametric empirical likelihood ratio
    based test of changepoint with one-change or epidemic alternatives
    with data-based model diagnostic
License: GPL 2.0 or newer
Packaged: Thu May  5 15:57:48 2005; zguan

## sac 1.0.1

=== DESCRIPTION ===
Package: sac
Version: 1.0.1
Date: 2009-02-25
Title: Semiparametric Analysis of Changepoint
Author: Zhong Guan <zguan@iusb.edu>
Maintainer: Zhong Guan <zguan@iusb.edu>
Depends: R (>= 1.4)
Description: Semiparametric empirical likelihood ratio
    based test of changepoint with one-change or epidemic alternatives
    with data-based model diagnostic
Encoding: latin1
License: GPL (>= 2)
Packaged: Wed Feb 25 09:15:47 2009; hornik

## sac 1.0.2

=== DESCRIPTION ===
Package: sac
Version: 1.0.2
Date: 2021-01-26
Title: Semiparametric Analysis of Change-Point
Author: Zhong Guan <zguan@iusb.edu>
Maintainer: Zhong Guan <zguan@iusb.edu>
Depends: R (>= 1.4)
Description: Semiparametric empirical likelihood ratio
    based tests of change-point with one-change or epidemic alternatives
    with data-based model diagnostic are contained.
License: GPL (>= 2)
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-27 14:13:32 UTC; zguan
Repository: CRAN
Date/Publication: 2021-01-27 15:00:02 UTC

## sac 1.3.1

=== Makefile ===
# $Copyright: $
# Copyright (c) 1995 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.
#
# Thanks to Edward S. Marshall for extending the Makefile.
#

CC=gcc
CFLAGS=-O2 -fomit-frame-pointer -m486
LDFLAGS=-s

SAC_DEST=sac
RAW_DEST=rawtmp
BINDIR=/usr/local/bin
MANS=sac.8 rawtmp.1
MANDIR=/usr/man

all:	sac rawtmp

sac:	sac.o
	$(CC) $(LDFLAGS) -o $(SAC_DEST) sac.o

sac.o:	sac.c

rawtmp:	rawtmp.o
	$(CC) $(LDFLAGS) -o $(RAW_DEST) rawtmp.o

rawtmp.o:	rawtmp.c

clean:
	if [ -e $(SAC_DEST) ]; then rm $(SAC_DEST); fi
	if [ -e $(RAW_DEST) ]; then rm $(RAW_DEST); fi
	if [ -e sac.o -o -e raw.o ]; then rm *.o; fi

install:
	if [ -e $(SAC_DEST) ]; then \
		install $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
	fi
	if [ -e $(RAW_DEST) ]; then \
		install $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
	fi
	for man in $(MANS); do \
		m=`expr match $$man '.*\(.\)'`; \
		install $$man $(MANDIR)/man$$m/$$man; \
	done

## sac 1.5

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,12 @@
 #
 
 CC=gcc
-CFLAGS=-O2 -fomit-frame-pointer -m486
+CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
 LDFLAGS=-s
 
 SAC_DEST=sac
 RAW_DEST=rawtmp
+RADIUS_DIR=/usr/adm/radacct
 BINDIR=/usr/local/bin
 MANS=sac.8 rawtmp.1
 MANDIR=/usr/man
@@ -25,6 +26,7 @@
 	$(CC) $(LDFLAGS) -o $(SAC_DEST) sac.o
 
 sac.o:	sac.c
+	$(CC) $(CFLAGS) -DRADIUS_DIR=\"${RADIUS_DIR}\" -c sac.c
 
 rawtmp:	rawtmp.o
 	$(CC) $(LDFLAGS) -o $(RAW_DEST) rawtmp.o
@@ -37,11 +39,12 @@
 	if [ -e sac.o -o -e raw.o ]; then rm *.o; fi
 
 install:
+	install -d $(BINDIR)
 	if [ -e $(SAC_DEST) ]; then \
-		install $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
+		install -s $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
 	fi
 	if [ -e $(RAW_DEST) ]; then \
-		install $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
+		install -s $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
 	fi
 	for man in $(MANS); do \
 		m=`expr match $$man '.*\(.\)'`; \

## sac 1.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1995 by Steve Baker
+# Copyright (c) 1995,1996,1997 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied
@@ -10,12 +10,21 @@
 #
 
 CC=gcc
+
+# For Intel platforms:
 CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
+# For everything else:
+# CFLAGS=-Wall -O2
+# For debugging
+#CFLAGS=-ggdb
+
+# Comment this if doing debugging.
 LDFLAGS=-s
 
 SAC_DEST=sac
 RAW_DEST=rawtmp
 RADIUS_DIR=/usr/adm/radacct
+DETAIL_NAME=detail
 BINDIR=/usr/local/bin
 MANS=sac.8 rawtmp.1
 MANDIR=/usr/man
@@ -23,10 +32,10 @@
 all:	sac rawtmp
 
 sac:	sac.o
-	$(CC) $(LDFLAGS) -o $(SAC_DEST) sac.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SAC_DEST) sac.o
 
 sac.o:	sac.c
-	$(CC) $(CFLAGS) -DRADIUS_DIR=\"${RADIUS_DIR}\" -c sac.c
+	$(CC) $(CFLAGS) -DRADIUS_DIR=\"${RADIUS_DIR}\" -DDETAIL_NAME=\"${DETAIL_NAME}\" -c sac.c
 
 rawtmp:	rawtmp.o
 	$(CC) $(LDFLAGS) -o $(RAW_DEST) rawtmp.o
@@ -50,3 +59,7 @@
 		m=`expr match $$man '.*\(.\)'`; \
 		install $$man $(MANDIR)/man$$m/$$man; \
 	done
+
+tarball:
+	cd ..; \
+	tar cvzf sac-1.7.tgz `cat sac-1.7/.tarball`

=== fixers/Makefile ===
# $Copyright: $
# Copyright (c) 1997 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.

CC=gcc

# For Intel platforms:
CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
# For everything else:
# CFLAGS=-Wall -O2
# For debugging
#CFLAGS=-ggdb

# Comment this if doing debugging.
LDFLAGS=-s

all:	fixtime fixterm

fixtime:	fixtime.o

fixtime.o:	fixtime.c

fixterm:	fixterm.o

fixterm.o:	fixterm.c


clean:
	if [ -e fixtime ]; then rm fixtime; fi
	if [ -e fixterm ]; then rm fixterm; fi
	if [ -e fixtime.o -o -e fixterm.o ]; then rm *.o; fi

## sac 1.8b8

=== Makefile ===
# $Copyright: $
# Copyright (c) 1995,1996,1997 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.
#
# Thanks to Edward S. Marshall for extending the Makefile.
#

CC=gcc

# For Intel platforms (use -m386 w/ AMD CPU's for better speed):
CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
# For everything else:
#CFLAGS=-Wall -O2
# For debugging
#CFLAGS=-ggdb

# Comment this if doing debugging.
LDFLAGS=-s

# Define acording to your architechure.  Only SOLARIS and LINUX are valid
# thus far.  Most OS's should work with one or the other.
# Solaris 2.x only:
#ARCH=SOLARIS
# Linux libc5 / glibc 2.x:
ARCH=LINUX

# Radius Options:
DETAIL_NAME=detail
RADIUS_DIR=/usr/adm/radacct
#Set to "1" if you wish to use Framed-IP-Address for the users hostname.
USE_FRAMED_IP_ADDR=0

RADOPTS=-DRADIUS_DIR=\"${RADIUS_DIR}\" -DDETAIL_NAME=\"${DETAIL_NAME}\" \
	-DUSE_FRAMED_IP_ADDR=${USE_FRAMED_IP_ADDR}

# General options:
SAC_DEST=sac
RAW_DEST=rawtmp
WRITETMP_DEST=writetmp
BINDIR=/usr/local/bin
MANS=sac.8 rawtmp.1 writetmp.8
MANDIR=/usr/man

all:	sac rawtmp writetmp

sac:	sac.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SAC_DEST) sac.o

sac.o:	sac.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 $(RADOPTS) -c sac.c

rawtmp:	rawtmp.o
	$(CC) $(LDFLAGS) -o $(RAW_DEST) rawtmp.o

writetmp: writetmp.o
	$(CC) $(LDFLAGS) -o $(WRITETMP_DEST) writetmp.o

rawtmp.o:	rawtmp.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 -c rawtmp.c

writetmp.o:	writetmp.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 -c writetmp.c

clean:
	if [ -e $(SAC_DEST) ]; then rm $(SAC_DEST); fi
	if [ -e $(RAW_DEST) ]; then rm $(RAW_DEST); fi
	if [ -e $(WRITETMP_DEST) ]; then rm $(WRITETMP_DEST); fi
	if [ -e sac.o -o -e raw.o -o -e writetmp.o ]; then rm *.o; fi

install:
	install -d $(BINDIR)
	if [ -f $(SAC_DEST) ]; then \
		install -m 0111 -s $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
	fi
	if [ -f $(RAW_DEST) ]; then \
		install -m 0111 -s $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
	fi
	if [ -f $(WRITETMP_DEST) ]; then \
		install -m 0111 -s $(WRITETMP_DEST) $(BINDIR)/$(WRITETMP_DEST); \
	fi
	for man in $(MANS); do \
		m=`expr match $$man '.*\(.\)'`; \
		install -m 0444 $$man $(MANDIR)/man$$m/$$man; \
	done

VERSION=1.8

tarball:
	cd ..; \
	tar cvzf sac-${VERSION}.tgz `cat sac-${VERSION}/.tarball`

## sac 1.9b1-1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # $Copyright: $
-# Copyright (c) 1995,1996,1997 by Steve Baker
+# Copyright (c) 1995-2000 by Steve Baker
 # All Rights reserved
 #
 # This software is provided as is without any express or implied
@@ -12,7 +12,9 @@
 CC=gcc
 
 # For Intel platforms (use -m386 w/ AMD CPU's for better speed):
-CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
+#CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
+# Don't use -m486 on Debian
+CFLAGS=-Wall -O2 -fomit-frame-pointer 
 # For everything else:
 #CFLAGS=-Wall -O2
 # For debugging
@@ -30,7 +32,8 @@
 
 # Radius Options:
 DETAIL_NAME=detail
-RADIUS_DIR=/usr/adm/radacct
+#RADIUS_DIR=/usr/adm/radacct
+RADIUS_DIR=/var/log/radacct
 #Set to "1" if you wish to use Framed-IP-Address for the users hostname.
 USE_FRAMED_IP_ADDR=0
 
@@ -41,7 +44,8 @@
 SAC_DEST=sac
 RAW_DEST=rawtmp
 WRITETMP_DEST=writetmp
-BINDIR=/usr/local/bin
+#BINDIR=/usr/local/bin
+BINDIR=$(DESTDIR)/bin
 MANS=sac.8 rawtmp.1 writetmp.8
 MANDIR=/usr/man
 
@@ -74,20 +78,20 @@
 install:
 	install -d $(BINDIR)
 	if [ -f $(SAC_DEST) ]; then \
-		install -m 0111 -s $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
+		install -s $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
 	fi
 	if [ -f $(RAW_DEST) ]; then \
-		install -m 0111 -s $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
+		install -s $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
 	fi
 	if [ -f $(WRITETMP_DEST) ]; then \
-		install -m 0111 -s $(WRITETMP_DEST) $(BINDIR)/$(WRITETMP_DEST); \
+		install -s $(WRITETMP_DEST) $(BINDIR)/$(WRITETMP_DEST); \
 	fi
 	for man in $(MANS); do \
 		m=`expr match $$man '.*\(.\)'`; \
-		install -m 0444 $$man $(MANDIR)/man$$m/$$man; \
+		install $$man $(MANDIR)/man$$m/$$man; \
 	done
 
-VERSION=1.8
+VERSION=1.9
 
 tarball:
 	cd ..; \

=== debian/changelog ===
sac (1.9b1-1) unstable; urgency=low

  * New upstream version.
  * Now the Y2k bug is fixed (Closes: #64321)
  * New maintainer  (Closes: #68069)
  * Moved to new standard and dh_ (now lintian clean)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 20 Oct 2000 10:07:21 +0200

sac (1.8b8-1) unstable; urgency=low

  * New upstream version.
  * Makefile: Removed -m486
  * Makefile: /usr/man -> /usr/share/man
  * debian/control: New standards-versoim 3.0.0.0

 -- Edward Brocklesby <ejb@debian.org>  Mon,  5 Jul 1999 12:08:13 -0700

sac (1.8b6-2) unstable; urgency=low

  * New maintainer. 

 -- Edward Brocklesby <ejb@debian.org>  Mon,  5 Jul 1999 11:21:17 -0700

sac (1.8b6-1) unstable; urgency=low

  * 
  * new upstream release; Fix:
    #23069: Issuing 'sac -r' seg faults and dumps core.
    #18537: sac: segfault with sac -c.
    #17143: sac - return type of main in not int.
    #18536: sac: minor formatting problem.
    #15520: sac: Broken stats.

 -- Vincent Renardias <vincent@waw.com>  Mon,  4 Jan 1999 18:39:26 +0100

sac (1.7-1) frozen unstable; urgency=low

  * new upstream release; Fix:
    #15520: Broken stats.
    #18526: minor formatting problem.
    #18527: segfault with sac -c. 

 -- Vincent Renardias <vincent@waw.com>  Mon, 13 Apr 1998 23:09:38 +0200

sac (1.6-1) unstable; urgency=low

  * Renamed upstream changelog (Bug #9662).
  * Updated .lsm file.

 -- Vincent Renardias <vincent@waw.com>  Sun, 9 Nov 1997 17:35:00 +0100

sac (1.6-0) unstable; urgency=low

  * compiled for libc6
  * new upstream release
  * non-maintainer release

 -- Craig Sanders <cas@taz.net.au>  Sun,  9 Nov 1997 12:17:34 +1100

sac (1.5-2) unstable; urgency=low

  * Correct bug wrt radiusd (Corrects bug #7466).

 -- Vincent Renardias <vincent@waw.com>  Wed, 19 Feb 1997 01:25:11 +0100

sac (1.5-1) unstable; urgency=low

  * Upstream upgrade.
  * Reworked 'debian/rules'.

 -- Vincent Renardias <vincent@waw.com>  Tue, 18 Feb 1997 02:02:38 +0100

sac (1.4-2) unstable; urgency=low

  * Changed Makefile to allow compilation on non-intel machines.
    (Fixes bug #7192)

 -- Vincent Renardias <vincent@waw.com>  Sun, 9 Feb 1997 23:16:14 +0100

sac (1.4-1) unstable; urgency=low

  * Upstream upgrade.
  * Changed default wtmp file from /etc/wtmp to /var/log/wtmp

 -- Vincent Renardias <vincent@waw.com>  Tue, 12 Nov 1996 00:59:39 +0100

sac (1.3.1-4) unstable; urgency=low

  * Changed libraries dependencies.
  * Changed compile options.
  * Cosmetic debian/* file changes.

 -- Vincent Renardias <vincent@waw.com>  Sat, 2 Nov 1996 01:35:17 +0100

sac (1.3.1-3) unstable; urgency=low

  * Maintainer changed
  * Gzip'ed man pages / striped executables 
  * Changed libraries dependencies

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Oct 1996 02:56:15 +0200

sac (1.3.1-2) unstable; urgency=low

  * Two machine dependencies cleared up

 -- Christoph Lameter <clameter@debian.org>  Fri, 20 Sep 1996 14:51:46 +0800

sac (1.3.1-1) unstable; urgency=low

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Fri, 20 Sep 1996 14:51:46 +0800

Local variables:
mode: debian-changelog
End:
 

=== debian/control ===
Source: sac
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Standards-Version: 3.1.0

Package: sac
Architecture: any
Depends: ${shlibs:Depends}
Description: Login accounting
 Performs login accounting, just like the ac program but with
 totals, per day and per users.  Also performs average usage
 and hourly profiling. Tons of other options.

=== debian/rules ===
#!/usr/bin/make -f

p=sac

build:
	dh_testdir
	$(MAKE) "CFLAGS=-Wall -O2 -fomit-frame-pointer"
	touch build

clean:
	$(checkdir)
	-rm -f build
	dh_clean
	-$(MAKE) clean

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	dh_testdir
	-rm -rf debian/tmp
	dh_installdirs
	dh_installdebconf
	make install BINDIR=debian/tmp/usr/bin MANDIR=debian/tmp/usr/share/man
	dh_installdocs debian/README.Debian debian/*.lsm README THANKS TODO debian/notes 
	dh_installexamples scripts/*
	dh_installchangelogs CHANGES
	dh_installmanpages
	strip --remove-section=.comment debian/tmp/usr/bin/* 
	strip --remove-section=.note debian/tmp/usr/bin/* 
	dh_strip
	dh_fixperms
	dh_compress
	dpkg-shlibdeps $(p) rawtmp
	dh_installdeb
	dh_gencontrol
	chown -R root.root debian/tmp
	chmod -R g-ws debian/tmp
	dpkg --build debian/tmp ..

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	dh_testdir
	dh_testroot

.PHONY: binary binary-arch binary-indep clean checkroot

## sac 1.9b3

=== Makefile ===
# $Copyright: $
# Copyright (c) 1995-2001 by Steve Baker
# All Rights reserved
#
# This software is provided as is without any express or implied
# warranties, including, without limitation, the implied warranties
# of merchant-ability and fitness for a particular purpose.
#
# Thanks to Edward S. Marshall for extending the Makefile.
#

CC=gcc

# For Intel platforms (use -m386 w/ AMD CPU's for better speed):
CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
# For everything else:
#CFLAGS=-Wall -O2
# For debugging
#CFLAGS=-ggdb

# Comment this if doing debugging.
LDFLAGS=-s

# Define acording to your architechure.  Only SOLARIS, BSD and LINUX are valid
# thus far.  Most OS's should work with one of them.
# Solaris 2.x only:
#ARCH=SOLARIS
# FreeBSD:
#ARCH=BSD
# Linux libc5 / glibc 2.x:
ARCH=LINUX

# Radius Options:
DETAIL_NAME=detail
RADIUS_DIR=/usr/adm/radacct
#Set to "1" if you wish to use Framed-IP-Address for the users hostname.
USE_FRAMED_IP_ADDR=0

RADOPTS=-DRADIUS_DIR=\"${RADIUS_DIR}\" -DDETAIL_NAME=\"${DETAIL_NAME}\" \
	-DUSE_FRAMED_IP_ADDR=${USE_FRAMED_IP_ADDR}

# General options:
SAC_DEST=sac
RAW_DEST=rawtmp
WRITETMP_DEST=writetmp
WCAT_DEST=wcat
BINDIR=/usr/local/bin
MANS=sac.8 rawtmp.1 writetmp.8
MANDIR=/usr/man

all:	sac rawtmp writetmp wcat

sac:	sac.o gronk.o
	$(CC) $(CFLAGS) $(LDFLAGS) -o $(SAC_DEST) sac.o gronk.o

sac.o:	sac.c sac.h utmp.h proto.h
	$(CC) $(CFLAGS) -D$(ARCH)=1 $(RADOPTS) -c sac.c

gronk.o:	gronk.c sac.h utmp.h proto.h
	$(CC) $(CFLAGS) -D$(ARCH)=1 $(RADOPTS) -c gronk.c

rawtmp:	rawtmp.o
	$(CC) $(LDFLAGS) -o $(RAW_DEST) rawtmp.o

writetmp: writetmp.o
	$(CC) $(LDFLAGS) -o $(WRITETMP_DEST) writetmp.o

wcat:	wcat.o
	$(CC) $(LDFLAGS) -o $(WCAT_DEST) wcat.o

rawtmp.o:	rawtmp.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 -c rawtmp.c

writetmp.o:	writetmp.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 -c writetmp.c

wcat.o:	writetmp.c
	$(CC) $(CFLAGS) -D$(ARCH)=1 -c wcat.c

clean:
	if [ -f $(SAC_DEST) ]; then rm $(SAC_DEST); fi
	if [ -f $(RAW_DEST) ]; then rm $(RAW_DEST); fi
	if [ -f $(WRITETMP_DEST) ]; then rm $(WRITETMP_DEST); fi
	if [ -f $(WCAT_DEST) ]; then rm $(WCAT_DEST); fi
	if [ -f sac.o -o -f raw.o -o -f writetmp.o -o -f wcat.o ]; then rm *.o; fi

install: all
	install -d $(BINDIR)
	if [ -f $(SAC_DEST) ]; then \
		install -m 0111 -s $(SAC_DEST) $(BINDIR)/$(SAC_DEST); \
	fi
	if [ -f $(RAW_DEST) ]; then \
		install -m 0111 -s $(RAW_DEST) $(BINDIR)/$(RAW_DEST); \
	fi
	if [ -f $(WRITETMP_DEST) ]; then \
		install -m 0111 -s $(WRITETMP_DEST) $(BINDIR)/$(WRITETMP_DEST); \
	fi
	if [ -f $(WCAT_DEST) ]; then \
		install -m 0111 -s $(WCAT_DEST) $(BINDIR)/$(WCAT_DEST); \
	fi
	for man in $(MANS); do \
		m=`expr match $$man '.*\(.\)'`; \
		install -m 0444 $$man $(MANDIR)/man$$m/$$man; \
	done

VERSION=1.9

tarball:
	cd ..; \
	tar cvzf sac-${VERSION}.tgz `cat sac-${VERSION}/.tarball`

## sac 1.9b5

=== Makefile ===
--- 
+++ 
@@ -12,14 +12,14 @@
 CC=gcc
 
 # For Intel platforms (use -m386 w/ AMD CPU's for better speed):
-CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
+#CFLAGS=-Wall -O2 -fomit-frame-pointer -m486
 # For everything else:
 #CFLAGS=-Wall -O2
 # For debugging
-#CFLAGS=-ggdb
+CFLAGS=-ggdb
 
 # Comment this if doing debugging.
-LDFLAGS=-s
+#LDFLAGS=-s
 
 # Define acording to your architechure.  Only SOLARIS, BSD and LINUX are valid
 # thus far.  Most OS's should work with one of them.
@@ -33,11 +33,15 @@
 # Radius Options:
 DETAIL_NAME=detail
 RADIUS_DIR=/usr/adm/radacct
-#Set to "1" if you wish to use Framed-IP-Address for the users hostname.
+# Set to "1" if you wish to use Called-Station-Id or Framed-IP-Address for the
+# users hostname.  Called-Station-Id takes precidence over Framed-IP-Address
+# if both are selected.
+USE_CALLED_STATION_ID=0
 USE_FRAMED_IP_ADDR=0
 
 RADOPTS=-DRADIUS_DIR=\"${RADIUS_DIR}\" -DDETAIL_NAME=\"${DETAIL_NAME}\" \
-	-DUSE_FRAMED_IP_ADDR=${USE_FRAMED_IP_ADDR}
+	-DUSE_FRAMED_IP_ADDR=${USE_FRAMED_IP_ADDR} \
+	-DUSE_CALLED_STATION_ID=${USE_CALLED_STATION_ID}
 
 # General options:
 SAC_DEST=sac

=== fixers/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # Comment this if doing debugging.
 LDFLAGS=-s
 
-all:	fixtime fixterm
+all:	fixtmp fixtime fixterm
 
 fixtime:	fixtime.o
 
@@ -28,8 +28,12 @@
 
 fixterm.o:	fixterm.c
 
+fixtmp:		fixtmp.o
+
+fixtmp.o:	fixtmp.c
 
 clean:
+	if [ -e fixtmp ]; then rm fixtmp; fi
 	if [ -e fixtime ]; then rm fixtime; fi
 	if [ -e fixterm ]; then rm fixterm; fi
-	if [ -e fixtime.o -o -e fixterm.o ]; then rm *.o; fi
+	if [ -e fixtmp -o -e fixtime.o -o -e fixterm.o ]; then rm *.o; fi
